# comment out if not pre-release
#define pre	rc1

# release to bump
%define rel	1

Name:		hamster-time-tracker
Version:	3.0.3
Release:	%mkrel %{?pre:0.%pre.}%{rel}
Summary:	The linux time tracker
License:	GPLv+
Group:		Graphical desktop/GNOME
Url:		http://projecthamster.org/
Source0:	https://github.com/projecthamster/hamster/archive/v%{version}%{?pre:-%pre}/%{name}-%{version}%{?pre:-%pre}.tar.gz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gnome-doc-utils
BuildRequires:	waf
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	python3-pyxdg

Provides:	hamster = %{version}-%{release}
Provides:	hamster-applet = %{version}-%{release}
Obsoletes:	hamster-applet < 2.91.3-1

%description
The linux time tracker for GNOME v3+.

%prep
%setup -q -n hamster-%{version}%{?pre:-%pre}
%autopatch -p1

# drop shebang
sed -i '1{/^#!/d}' po/wscript src/hamster/overview.py #src/hamster/today.py

# force system waf
rm -rf ./waf ./waflib

%build
%set_build_flags
%waf --skip-icon-cache-update
%waf_build

%install
%waf_install

# we don't want these
rm -rf %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%find_lang hamster --with-gnome

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f hamster.lang
%doc NEWS* MAINTAINERS AUTHORS README*
%{_datadir}/bash-completion/completions/hamster.bash
%{_bindir}/hamster
%{_libexecdir}/hamster/
%{_datadir}/applications/org.gnome.Hamster.GUI.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.Hamster.GUI.*
%{_datadir}/dbus-1/services/org.gnome.Hamster*.service
%{_datadir}/hamster/
%{python3_sitelib}/hamster/
%{_datadir}/glib-2.0/schemas/org.gnome.hamster.gschema.xml
%{_metainfodir}/org.gnome.Hamster.metainfo.xml


%changelog
* Fri Jan 19 2024 papoteur <papoteur> 3.0.3-1.mga10
+ Revision: 2032180
- new version 3.0.3
- Mass Rebuild - Python 3.12

* Fri Apr 01 2022 umeabot <umeabot> 3.0.2-4.mga9
+ Revision: 1838272
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 3.0.2-3.mga9
+ Revision: 1787538
- rebuild for python-3.10

* Mon Apr 05 2021 wally <wally> 3.0.2-2.mga9
+ Revision: 1713638
- rebuild for python 3.9

* Sat Aug 22 2020 wally <wally> 3.0.2-1.mga8
+ Revision: 1617923
- new version 3.0.2

* Sun Feb 16 2020 umeabot <umeabot> 2.2.2-4.mga8
+ Revision: 1533426
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Sep 21 2019 wally <wally> 2.2.2-3.mga8
+ Revision: 1444342
- install internal binaries to /usr/libexec

* Sat Sep 21 2019 wally <wally> 2.2.2-2.mga8
+ Revision: 1444338
- use system waf for building
+ daviddavid <daviddavid>
- rebuild for python3.8

* Sun Mar 10 2019 wally <wally> 2.2.2-1.mga7
+ Revision: 1373806
- new version 2.2.2
- switch to python3

* Tue Sep 18 2018 umeabot <umeabot> 2.0-0.rc1.5.mga7
+ Revision: 1262073
- Mageia 7 Mass Rebuild

* Mon Dec 12 2016 wally <wally> 2.0-0.rc1.4.mga6
+ Revision: 1074336
- require python-gi-cairo (mga#19931)
- add patch to fix more warnings in the console

* Fri Feb 19 2016 wally <wally> 2.0-0.rc1.3.mga6
+ Revision: 969440
- add patches from upstream to fix two denial of service flaws (rhbz#1307253, rhbz#1307256)
- rediff P100 and P101 to apply with %%autopatch -p1

* Fri Dec 25 2015 wally <wally> 2.0-0.rc1.2.mga6
+ Revision: 914670
- require python-dbus (mga#17399)

* Tue Dec 22 2015 wally <wally> 2.0-0.rc1.1.mga6
+ Revision: 913499
- new version 2.0 rc1

* Wed Oct 15 2014 umeabot <umeabot> 1.04-7.mga5
+ Revision: 748049
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 wally <wally> 1.04-6.mga5
+ Revision: 737738
- require python-pyxdg

* Thu Oct 09 2014 wally <wally> 1.04-5.mga5
+ Revision: 737733
- require gnome-python-gconf

* Sat Sep 27 2014 tv <tv> 1.04-4.mga5
+ Revision: 726459
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.04-3.mga5
+ Revision: 680075
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.04-2.mga5
+ Revision: 628250
- Rebuild for new Python

* Wed Feb 12 2014 wally <wally> 1.04-1.mga5
+ Revision: 589768
- new version 1.04
- sync patches with Fedora

* Wed Oct 30 2013 wally <wally> 1.03.3-1.mga5
+ Revision: 548036
- new version 1.03.3
- rename pkg as hamster-time-tracker

* Sat Jan 12 2013 umeabot <umeabot> 2.91.3-0.20111207.2.mga3
+ Revision: 353085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 guillomovitch <guillomovitch> 2.91.3-0.20111207.1.mga2
+ Revision: 178312
- new version (git snapshot)
+ dmorgan <dmorgan>
- Do not build applets (P1)
+ ahmad <ahmad>
- Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Fri Mar 18 2011 wally <wally> 2.32.1-4.mga1
+ Revision: 74259
- require python-notify

* Fri Mar 18 2011 wally <wally> 2.32.1-3.mga1
+ Revision: 74251
- require python-pyxdg (mga#431)
- require python-dbus and drop duplicate require
- drop buildroot definition

* Thu Mar 03 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 63665
- Set libdir so that the .server is correct
- imported package hamster-applet

